package org.project.item.consumables;

import org.project.entity.Entity;
import org.project.entity.players.Player;
import org.project.item.Item;

public class HealFlask extends Consumable {

    private int healAmount;

    public HealFlask(String name, int healAmount, int charges) {
        super(name, healAmount, charges);
    }



    public void use(Player target) {

        super.use(target);
        System.out.println(target.getName() + " healed for " + healAmount);
    }


}
